// Core component styles
const coreStyles = {
    container: {
    },

    bar: {
        backgroundColor: '#006e96',
    },

    menuButton: {
        marginLeft: '-12px',
    },

    menuIcon: {
        color: '#fff',
    },

    title: {
        color: '#fff',
    },

    titleContainer: {
        flexGrow: 1,
    },

    toolbar: {
    },
};

/**
* Helper method to get the styles for Button component
* @param {Object} contextStyles - Context styles for the Button Component
*/
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        bar: {
            ...coreStyles.bar,
            ...contextStyles.bar,
        },

        menuButton: {
            ...coreStyles.menuButton,
            ...contextStyles.menuButton,
        },

        menuIcon: {
            ...coreStyles.menuIcon,
            ...contextStyles.menuIcon,
        },

        title: {
            ...coreStyles.title,
            ...contextStyles.title,
        },

        titleContainer: {
            ...coreStyles.titleContainer,
            ...contextStyles.titleContainer,
        },

        toolbar: {
            ...coreStyles.toolbar,
            ...contextStyles.toolbar,
        },
    };
};

export default getStyles;
